<?php

class Mbe_Shipping_Helper_Logger
{
    public static $log = true;
    private static $_logPath = WP_MBE_PLUGIN_DIR . 'log';
    private static $_logFileName = 'mbe_general.log';

    public static function log( $message ) {
        /*if ( WP_MBE_DEBUG_LOG && defined('WC_Logger')) {
           self::$log = new WC_Logger();
           self::$log->add( 'mbe_shipping', $message );
        }*/
        if ( WP_MBE_DEBUG_LOG)
        {
            if (!file_exists(self::$_logPath)) {
                mkdir(self::$_logPath, 0755, true);
            }
            $row = date_format(new DateTime(), 'Y-m-d\TH:i:s\Z');
            $row .= " - ";
            $row .= $message . "\n\r";
            file_put_contents(self::$_logPath . DIRECTORY_SEPARATOR . self::$_logFileName, $row, FILE_APPEND);
        }
    }


    public function logVar($var, $message = null)
    {
        if ($message) {
            $this->log($message);
        }
        $this->log(print_r($var, true));
    }
}